Index: /orxonox/trunk/src/lib/collision_detection/bounding_volume.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/bounding_volume.h	(revision 4541)
+++ /orxonox/trunk/src/lib/collision_detection/bounding_volume.h	(revision 4542)
@@ -22,6 +22,4 @@
   virtual ~BoundingVolume();
 
-  virtual void createBV() = NULL;
-
   inline const Vector* getCenter() const { return this->center; }
 
Index: /orxonox/trunk/src/lib/collision_detection/bv_tree_node.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/bv_tree_node.h	(revision 4541)
+++ /orxonox/trunk/src/lib/collision_detection/bv_tree_node.h	(revision 4542)
@@ -14,4 +14,5 @@
 class sVec3D;
 class BVTree;
+template<class T> class tList;
 
 //! A class that represents a bounding volume tree
@@ -22,5 +23,5 @@
   virtual ~BVTreeNode();
 
-  virtual void spawnBVTree(int depth) = NULL;
+  virtual void spawnBVTree(const int depth, tList<sVec3D> *verticesList) = NULL;
 
   virtual BoundingVolume* getBV(int index) const = NULL;
Index: /orxonox/trunk/src/lib/collision_detection/obb.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb.cc	(revision 4541)
+++ /orxonox/trunk/src/lib/collision_detection/obb.cc	(revision 4542)
@@ -41,7 +41,4 @@
 
 
-void OBB::createBV() const
-{}
-
 
 void OBB::mergeWith(const BoundingVolume &bv)
Index: /orxonox/trunk/src/lib/collision_detection/obb.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb.h	(revision 4541)
+++ /orxonox/trunk/src/lib/collision_detection/obb.h	(revision 4542)
@@ -20,5 +20,4 @@
   virtual ~OBB();
 
-  virtual void createBV() const;
 
   inline const Vector* getAxis () const { return this->axis; }
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4541)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4542)
@@ -44,15 +44,5 @@
 void OBBTree::spawnBVTree(int depth)
 {
-  float area[this->numberOfVertices];  //!< surface area of the i'th triangle of the convex hull
-  float areaTotal; //!< surface area of the entire convex hull
-  float centroid[this->numberOfVertices]; //!< centroid of the i'th convex hull
-  
-
-  //OBB obb();
-  float muX, muY, muZ;
-  for(int i = 0; i < this->numberOfVertices; ++i)
-    {
-      
-    }
+ 
 }
 
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4541)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4542)
@@ -17,4 +17,6 @@
 
 #include "obb_tree_node.h"
+#include "list.h"
+#include "obb.h"
 
 using namespace std;
@@ -41,2 +43,37 @@
 
 
+
+/**
+   \brief creates a new BVTree or BVTree partition
+   \param depth: the depth of the tree
+   \param verticesList: the list of vertices of the object - each vertices triple is interpreted as a triangle
+*/
+void OBBTreeNode::spawnBVTree(const int depth, tList<sVec3D> *verticesList)
+{
+  float     area[verticesList->getSize()];           //!< surface area of the i'th triangle of the convex hull
+  float     areaTotal;                               //!< surface area of the entire convex hull
+  float     centroid[verticesList->getSize()];       //!< centroid of the i'th convex hull  
+  OBB*      obb = new OBB();                         //!< the new obb to add
+
+  /* fist compute all the convex hull particles */
+  for(int i = 0; i < verticesList->getSize(); ++i)
+    {
+      
+    }
+}
+
+
+void OBBTreeNode::collideWith(const BVTree &tree)
+{}
+
+
+void OBBTreeNode::drawBV(int currentDepth, const int depth) const
+{}
+
+
+void OBBTreeNode::drawBVPolygon(int currentDepth, const int depth) const
+{}
+
+
+void OBBTreeNode::drawBVBlended(int currentDepth, const int depth) const
+{}
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 4541)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 4542)
@@ -22,5 +22,5 @@
   virtual ~OBBTreeNode();
 
-  virtual void spawnBVTree(int depth);
+  virtual void spawnBVTree(const int depth, tList<sVec3D> *verticesList);
 
   BoundingVolume* getBV(int index) const { return this->bvElement; }