Index: /orxonox/trunk/src/lib/collision_detection/cd_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/cd_engine.cc	(revision 4550)
+++ /orxonox/trunk/src/lib/collision_detection/cd_engine.cc	(revision 4551)
@@ -30,4 +30,7 @@
    this->setClassName("CDEngine");
    this->setClassID(CL_CD_ENGINE, "CDEngine"); 
+
+   /* testing purposes only: */
+   this->rootTree = new OBBTree();
 }
 
@@ -48,9 +51,26 @@
 
 
+
+void CDEngine::drawBV(int currentDepth, const int depth) const
+{
+  /* this would operate on  worldList bases, for testing purposes, we only use one OBBTree */
+  this->rootTree->drawBV(currentDepth, depth);
+}
+
+
+void CDEngine::drawBVPolygon(int currentDepth, const int depth) const
+{}
+
+
+void CDEngine::drawBVBlended(int currentDepth, const int depth) const
+{}
+
+
+
 void CDEngine::debug()
 {
   PRINT(0)("\n=============================| CDEngine::debug() |===\n");
   PRINT(0)("=  CDEngine: Spawning Tree Start\n");
-
+  this->rootTree->debug();
   PRINT(0)("=  CDEngine: Spawning Tree: Finished\n");
   PRINT(0)("=======================================================\n");      
Index: /orxonox/trunk/src/lib/collision_detection/cd_engine.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/cd_engine.h	(revision 4550)
+++ /orxonox/trunk/src/lib/collision_detection/cd_engine.h	(revision 4551)
@@ -13,4 +13,5 @@
 template<class T> class tList;
 class WorldEntity;
+class OBBTree;
 
 
@@ -63,4 +64,5 @@
   int                     state;                            //!< the current state of the cd engine
   tList<WorldEntity>*     entityList;                       //!< pointer to the world entity list
+  OBBTree*                rootTree;                         //!< for testing purposes a root tree
 };
 
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4550)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4551)
@@ -45,7 +45,14 @@
 
 
-void OBBTree::spawnBVTree(int depth)
+void OBBTree::spawnBVTree(int depth, sVec3D *verticesList, const int length)
 {
- 
+  if( unlikely(this->rootNode != NULL))
+    {
+      PRINTF(2)("The BVTree has already been spawned, flushing and respawning again...\n");
+      this->flushTree();
+    }
+  OBBTreeNode* node = new OBBTreeNode();
+  this->rootNode = node;
+  this->rootNode->spawnBVTree(depth, verticesList, length);
 }
 
@@ -84,5 +91,10 @@
   PRINT(0)("\n==============================| OBBTree::debug() |===\n");
   PRINT(0)("=  Spawning Tree: Start\n");
-  this->spawnBVTree(1);
+  
+  /* generate some test vertices */
+  sVec3D vertList[] = {{1.0, 3.0, 4.0},{3.5, 6.2, 9.6},{6.4, 9.0, 2.0}};
+
+  this->spawnBVTree(1, vertList, 3);
+
   PRINT(0)("=  Spawning Tree: Finished\n");
   PRINT(0)("=======================================================\n");      
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree.h	(revision 4550)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree.h	(revision 4551)
@@ -9,5 +9,5 @@
 
 #include "bv_tree.h"
-
+#include "abstract_model.h"
 
 class OBBTreeNode;
@@ -20,5 +20,5 @@
   virtual ~OBBTree();
 
-  virtual void spawnBVTree(int depth);
+  virtual void spawnBVTree(int depth, sVec3D *verticesList, const int length);
   virtual void flushTree();
 
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4550)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4551)
@@ -103,4 +103,15 @@
 	}
     }
+
+  printf("Covariance Matrix:\n");
+    for(int j = 0; j < 3; ++j)
+    {
+      printf(" |");
+      for(int k = 0; k < 3; ++k)
+	{
+	  printf(" \b%f ", covariance[j][k]);
+ 	}
+      printf(" |\n");
+    }
 }
 
Index: /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4550)
+++ /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4551)
@@ -51,4 +51,5 @@
 void Framework::moduleDraw() const
 {
+  CDEngine::getInstance()->drawBV(1,1);
 }
 