Index: /orxonox/trunk/src/lib/collision_detection/bv_tree.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/bv_tree.h	(revision 4552)
+++ /orxonox/trunk/src/lib/collision_detection/bv_tree.h	(revision 4553)
@@ -8,5 +8,7 @@
 #define _BV_TREE_H
 
+
 #include "base_object.h"
+#include "abstract_model.h"
 
 // FORWARD DEFINITION
@@ -21,14 +23,11 @@
   virtual ~BVTree();
 
-  virtual void spawnBVTree(int depth);
-  virtual void flushTree();
+  virtual void spawnBVTree(int depth, sVec3D *verticesList, const int length) = NULL;
+  virtual void flushTree() = NULL;
 
-  BoundingVolume* getBV(int index) const;
-  
-  virtual void collideWith(const BVTree &tree);
 
-  virtual void drawBV(int currentDepth, const int depth) const;
-  virtual void drawBVPolygon(int currentDepth, const int depth) const;
-  virtual void drawBVBlended(int currentDepth, const int depth) const;
+  virtual void drawBV(int currentDepth, const int depth) const = NULL;
+  virtual void drawBVPolygon(int currentDepth, const int depth) const = NULL;
+  virtual void drawBVBlended(int currentDepth, const int depth) const = NULL;
 
  protected:
@@ -36,5 +35,5 @@
 
  private:
-  BoundingVolume* firstElement;
+
 
 };
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4552)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4553)
@@ -93,5 +93,13 @@
   
   /* generate some test vertices */
-  sVec3D vertList[] = {{1.0, 3.0, 4.0},{3.5, 6.2, 9.6},{6.4, 9.0, 2.0}};
+  sVec3D* vertList = new sVec3D[3];
+  sVec3D data[]  = {{0.0, 0.0, 0.0},{5.0, 0.0, 10.0},{-5.0, 0.0, 10.0}};
+
+  for(int i = 0; i < 3; ++i)
+    {
+      vertList[i][0] = data[i][0];
+      vertList[i][1] = data[i][1];
+      vertList[i][2] = data[i][2];
+    }
 
   this->spawnBVTree(1, vertList, 3);
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4552)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4553)
@@ -64,10 +64,13 @@
   float     covariance[3][3];                        //!< the covariance matrix
     
+  this->numOfVertices = length;
+  this->vertices = verticesList;
+
   /* fist compute all the convex hull face/facelets and centroids */
   for(int i = 0; i < length; i+=3)          /* FIX-ME-QUICK: hops of 3, array indiscontinuity*/
     {
-      p = *(verticesList + i);
-      q = *(verticesList + i + 1);
-      r = *(verticesList + i + 2);
+      p = verticesList[i];
+      q = verticesList[i +1];
+      r = verticesList[i + 2];
       
       t1 = p - q; t2 = p - r;
@@ -94,7 +97,7 @@
 	  for(int i = 0; i < length; i+=3)
 	    {
-	      p = *(verticesList + i);
-	      q = *(verticesList + i + 1);
-	      r = *(verticesList + i + 2);
+	      p = verticesList[i];
+	      q = verticesList[i +1];
+	      r = verticesList[i + 2];
 
 	      covariance[j][k] = facelet[i] / (12.0f * face) * (9.0f * centroid[i][j] * centroid[i][k] + p[j]* p[k] +
@@ -105,5 +108,5 @@
 
   printf("Covariance Matrix:\n");
-    for(int j = 0; j < 3; ++j)
+  for(int j = 0; j < 3; ++j)
     {
       printf(" |");
@@ -114,4 +117,11 @@
       printf(" |\n");
     }
+  printf("center: %f, %f, %f\n\n", centre.x, centre.y, centre.z);
+
+  for(int i = 0; i < length; i++)
+    {
+      printf("vertex %i: %f, %f, %f\n", i, verticesList[i][0], verticesList[i][1], verticesList[i][2]);
+    }
+  
 }
 
@@ -122,5 +132,14 @@
 
 void OBBTreeNode::drawBV(int currentDepth, const int depth) const
-{}
+{
+  glColor3f(1.0, 1.0, 1.0);
+  glBegin(GL_TRIANGLES);
+  for(int i = 0; i < this->numOfVertices; ++i)
+    {
+      glVertex3f(this->vertices[i][0], this->vertices[i][1], this->vertices[i][2]);
+      //printf("v(%f, %f, %f)\n", this->vertices[i][0], this->vertices[i][1], this->vertices[i][2]);
+    }
+  glEnd();
+}
 
 
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 4552)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.h	(revision 4553)
@@ -44,4 +44,6 @@
  private:
   unsigned int        treeIndex;                  //!< Index number of the BV in the tree
+  sVec3D*             vertices;                   //!< pointer to the vertices data
+  int                 numOfVertices;              //!< number of vertices in vertices data
 
 };