Index: orxonox/trunk/configure.ac
===================================================================
--- orxonox/trunk/configure.ac	(revision 4529)
+++ orxonox/trunk/configure.ac	(revision 4555)
@@ -1,17 +1,17 @@
-########################################################################## 
-#   orxonox - the future of 3D-vertical-scrollers			 #
-#									 #
-#   Copyright (C) 2004 orx						 #
-#									 #
+##########################################################################
+#   orxonox - the future of 3D-vertical-scrollers                        #
+#                                                                        #
+#   Copyright (C) 2004 orx                                               #
+#                                                                        #
 #   This program is free software; you can redistribute it and/or modify #
 #   it under the terms of the GNU General Public License as published by #
 #   the Free Software Foundation; either version 2, or (at your option)  #
-#   any later version.							 #
-#									 #
-#   ### File Specific:							 #
-#   main-programmer: Benjamin Grauer					 #
-#   co-programmer: ...							 #
-#									 #
-#   This is the main configuration File of autoconf.			 #
+#   any later version.                                                   #
+#                                                                        #
+#   ### File Specific:                                                   #
+#   main-programmer: Benjamin Grauer                                     #
+#   co-programmer: ...                                                   #
+#                                                                        #
+#   This is the main configuration File of autoconf.                     #
 #   Please edit this file only, if you exactly know what you are doing.  #
 #   It is quite fragile, and compiling orxonox on different Platforms    #
@@ -51,20 +51,20 @@
 DEBUG=no
 AC_MSG_CHECKING([if DEBUG-mode should be enabled])
-AC_ARG_ENABLE([debug], 
-	AC_HELP_STRING(	[--enable-debug], [compiles in debug mode. Lots of debug info about the game.]),
-	 DEBUG=$enableval)
-
-if test x$DEBUG = xno; then 
-	echo "no"
-	echo " -> Setting debuglevel to 4. (orxonox is still in Development. It really is needed."
-	DEBUG=4
+AC_ARG_ENABLE([debug],
+        AC_HELP_STRING( [--enable-debug], [compiles in debug mode. Lots of debug info about the game.]),
+         DEBUG=$enableval)
+
+if test x$DEBUG = xno; then
+        echo "no"
+        echo " -> Setting debuglevel to 4. (orxonox is still in Development. It really is needed."
+        DEBUG=4
 elif test x$DEBUG = xyes; then
-	echo "yes"
-	echo " -> Setting debuglevel to 4. HARD DEBUG MODE!!."
-	DEBUG=4
-else       
-	echo "yes: setting debuglevel to to $DEBUG"
-fi
-	AC_DEFINE_UNQUOTED(DEBUG, $DEBUG, [in which debug mode we are])
+        echo "yes"
+        echo " -> Setting debuglevel to 4. HARD DEBUG MODE!!."
+        DEBUG=4
+else
+        echo "yes: setting debuglevel to to $DEBUG"
+fi
+        AC_DEFINE_UNQUOTED(DEBUG, $DEBUG, [in which debug mode we are])
 
 AC_SUBST(DEBUG)
@@ -75,13 +75,13 @@
 MODULAR_DEBUG=yes
 AC_MSG_CHECKING([if Modular-DEBUG-mode should be ebabled])
-AC_ARG_ENABLE([modular-debug], 
-	AC_HELP_STRING(	[--disable-modular-debug], [compiles in modular-debug mode, that logs differently on the many modules of orxonox.]),
-	 MODULAR_DEBUG=$enableval)
-
-if test x$MODULAR_DEBUG = xno; then 
-	echo "no"
+AC_ARG_ENABLE([modular-debug],
+        AC_HELP_STRING( [--disable-modular-debug], [compiles in modular-debug mode, that logs differently on the many modules of orxonox.]),
+         MODULAR_DEBUG=$enableval)
+
+if test x$MODULAR_DEBUG = xno; then
+        echo "no"
 elif test x$MODULAR_DEBUG = xyes; then
-	echo "yes"
-	AC_DEFINE_UNQUOTED(MODULAR_DEBUG, 1, [if Modular-DUBUG mode is enabled])
+        echo "yes"
+        AC_DEFINE_UNQUOTED(MODULAR_DEBUG, 1, [if Modular-DUBUG mode is enabled])
 fi
 
@@ -90,11 +90,11 @@
 #--------------#
 AC_MSG_CHECKING([if gtk should be enabled])
-AC_ARG_WITH([gtk], 
-	AC_HELP_STRING(	[--without-gtk], 
-	[Prevents GTK from being loaded]), [def_gtk=no], [def_gtk=yes]) 
-if test x$def_gtk = xyes; then 
+AC_ARG_WITH([gtk],
+        AC_HELP_STRING( [--without-gtk],
+        [Prevents GTK from being loaded]), [def_gtk=no], [def_gtk=yes])
+if test x$def_gtk = xyes; then
   echo "yes"
-fi 
-if test x$def_gtk = xno; then 
+fi
+if test x$def_gtk = xno; then
   echo "no"
 fi
@@ -104,11 +104,11 @@
 #------------------#
 AC_MSG_CHECKING([if libcURL should be enabled])
-AC_ARG_WITH([curl], 
-	AC_HELP_STRING(	[--without-curl], 
-	[Prevents libcURL from being loaded]), [def_curl=no], [def_curl=yes]) 
-if test x$def_curl = xyes; then 
+AC_ARG_WITH([curl],
+        AC_HELP_STRING( [--without-curl],
+        [Prevents libcURL from being loaded]), [def_curl=no], [def_curl=yes])
+if test x$def_curl = xyes; then
   echo "yes"
-fi 
-if test x$def_curl = xno; then 
+fi
+if test x$def_curl = xno; then
   echo "no"
 fi
@@ -119,10 +119,10 @@
 def_sub_projects=no
 AC_MSG_CHECKING([if the SubProjects should be built])
-AC_ARG_ENABLE([sub-projects], 
-	AC_HELP_STRING(	[--enable-sub-projects], 
-	[also builds the subProjects while make from srcdir]), [def_sub_projects=yes]) 
+AC_ARG_ENABLE([sub-projects],
+        AC_HELP_STRING( [--enable-sub-projects],
+        [also builds the subProjects while make from srcdir]), [def_sub_projects=yes])
 if test x$def_sub_projects = xyes; then
   echo "yes"
-fi 
+fi
 if test x$def_sub_projects = xno; then
   echo "no"
@@ -135,11 +135,11 @@
 def_profiling=no
 AC_MSG_CHECKING([if Profiling should be enabled])
-AC_ARG_ENABLE([profile], 
-	AC_HELP_STRING(	[--enable-profile], 
-	[builds orxonox with profiling support]), [def_profiling=yes]) 
+AC_ARG_ENABLE([profile],
+        AC_HELP_STRING( [--enable-profile],
+        [builds orxonox with profiling support]), [def_profiling=yes])
 if test x$def_profiling = xyes; then
   echo "yes"
   CXXFLAGS="$CXXFLAGS -pg"
-fi 
+fi
 if test x$def_profiling = xno; then
   echo "no"
@@ -151,10 +151,10 @@
 def_efence=no
 AC_MSG_CHECKING([if efence should be enabled])
-AC_ARG_ENABLE([efence], 
-	AC_HELP_STRING(	[--enable-efence], 
-	[builds orxonox with efence support]), [def_efence=yes]) 
+AC_ARG_ENABLE([efence],
+        AC_HELP_STRING( [--enable-efence],
+        [builds orxonox with efence support]), [def_efence=yes])
 if test x$def_efence = xyes; then
   echo "yes"
-fi 
+fi
 if test x$def_efence = xno; then
   echo "no"
@@ -166,10 +166,10 @@
 def_documentation=no
 AC_MSG_CHECKING([if the Documentation should be build by default])
-AC_ARG_ENABLE([documentation], 
-	AC_HELP_STRING(	[--enable-documentation], 
-	[also builds the sDocumentation while make from srcdir]), [def_documentation=yes]) 
+AC_ARG_ENABLE([documentation],
+        AC_HELP_STRING( [--enable-documentation],
+        [also builds the sDocumentation while make from srcdir]), [def_documentation=yes])
 if test x$def_documentation = xyes; then
   echo "yes"
-fi 
+fi
 if test x$def_documentation = xno; then
   echo "no"
@@ -222,5 +222,5 @@
 
 # checking gl header
-	#done before loop
+        #done before loop
 
 # checking gl header
@@ -230,11 +230,11 @@
     AC_CHECK_LIB([opengl32], [main], FOUND_opengl32=yes, "gl/gl.h")
     if test x$FOUND_opengl32 = xyes ; then
-	LIBS="$LIBS -lopengl32"
+        LIBS="$LIBS -lopengl32"
     else
-	 echo "------------------"
-	 echo "opengl not found."
-	 echo "please install the opengl package which can be found at http://www.opengl.org"
-	 echo "------------------"
-	 exit -1
+         echo "------------------"
+         echo "opengl not found."
+         echo "please install the opengl package which can be found at http://www.opengl.org"
+         echo "------------------"
+         exit -1
     fi
 
@@ -246,17 +246,17 @@
     AC_CHECK_LIB([glu32], [main], FOUND_glu32=yes)
     if test x$FOUND_glu32 = xyes ; then
-	LIBS="$LIBS -lGLU32"
+        LIBS="$LIBS -lGLU32"
     else
-	 echo "------------------"
-	 echo "GLU library not found."
-	 echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
-	 echo "------------------"
-	 exit -1
+         echo "------------------"
+         echo "GLU library not found."
+         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
+         echo "------------------"
+         exit -1
     fi
 
 # checking for mingw32
     AC_CHECK_LIB([mingw32], [main], FOUND_mingw32=yes)
-    if test x$FOUND_mingw32 = xyes; then 
-	LIBS="$LIBS -lmingw32"
+    if test x$FOUND_mingw32 = xyes; then
+        LIBS="$LIBS -lmingw32"
     fi
 # checking for SDL-headers
@@ -306,9 +306,9 @@
      LIBS="$LIBS -lGL"
    else
-	 echo "------------------"
-	 echo "opengl not found."
-	 echo "please install the opengl package which can be found at http://www.opengl.org"
-	 echo "------------------"
-	 exit -1
+         echo "------------------"
+         echo "opengl not found."
+         echo "please install the opengl package which can be found at http://www.opengl.org"
+         echo "------------------"
+         exit -1
    fi
 
@@ -321,10 +321,10 @@
       LIBS="$LIBS -lGLU"
     else
-	 echo "------------------"
-	 echo "GLU library not found."
-	 echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
-	 echo "------------------"
-	 exit -1
-    fi   
+         echo "------------------"
+         echo "GLU library not found."
+         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
+         echo "------------------"
+         exit -1
+    fi
 
 # checking for SDL-headers
@@ -339,8 +339,8 @@
         echo "------------------"
         echo "SDL library not found."
-	echo "please install the SDL library, which can be found at http://www.libsdl.org"
+        echo "please install the SDL library, which can be found at http://www.libsdl.org"
         echo "------------------"
         exit -1
-     fi   
+     fi
 
 
@@ -415,5 +415,5 @@
         echo "------------------"
         echo "openal library not found."
-	echo "please install the openal library, which can be found at http://www.openal.org"
+        echo "please install the openal library, which can be found at http://www.openal.org"
         echo "------------------"
         exit -1
@@ -433,5 +433,5 @@
         echo "------------------"
         echo "ogg library not found."
-	echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
         echo "------------------"
         exit -1
@@ -448,5 +448,5 @@
         echo "------------------"
         echo "vorbis library not found."
-	echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
         echo "------------------"
         exit -1
@@ -466,5 +466,5 @@
         echo "------------------"
         echo "vorbisfile library not found."
-	echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
         echo "------------------"
         exit -1
@@ -485,8 +485,8 @@
         echo "------------------"
         echo "SDL_ttf library not found."
-	echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
+        echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
         echo "------------------"
         exit -1
-     fi   
+     fi
 
 
@@ -512,20 +512,20 @@
 # GTK #
 #-----#
-if test x$def_gtk = xyes; then 
-	#PKG_CHECK_MODULES(GTK2, gtk+-2.0 >= 2.0.3 gthread-2.0 >= 2.0.3, have_gtk2=yes, have_gtk2=no)
-	AC_MSG_CHECKING([for gtk2.0])
-	if `$PKG_CONFIG --exists gtk+-2.0`; then
-  		echo "yes"
-  		have_gtk2=yes
-		GTK2_LIBS=`$PKG_CONFIG --libs gtk+-2.0`
-		GTK2_CFLAGS=`$PKG_CONFIG --cflags gtk+-2.0`
-		AC_DEFINE_UNQUOTED(HAVE_GTK2, 1, [if we have GTK2])
-		if test $DEBUG -ge 3; then
-		 echo "cflags: $GTK2_CFLAGS"
-		 echo "libs: $GTK2_LIBS"
-		fi
-	else
-		echo "no"
-	fi
+if test x$def_gtk = xyes; then
+        #PKG_CHECK_MODULES(GTK2, gtk+-2.0 >= 2.0.3 gthread-2.0 >= 2.0.3, have_gtk2=yes, have_gtk2=no)
+        AC_MSG_CHECKING([for gtk2.0])
+        if `$PKG_CONFIG --exists gtk+-2.0`; then
+                echo "yes"
+                have_gtk2=yes
+                GTK2_LIBS=`$PKG_CONFIG --libs gtk+-2.0`
+                GTK2_CFLAGS=`$PKG_CONFIG --cflags gtk+-2.0`
+                AC_DEFINE_UNQUOTED(HAVE_GTK2, 1, [if we have GTK2])
+                if test $DEBUG -ge 3; then
+                 echo "cflags: $GTK2_CFLAGS"
+                 echo "libs: $GTK2_LIBS"
+                fi
+        else
+                echo "no"
+        fi
 
 fi
@@ -537,5 +537,5 @@
 # libcURL #
 #---------#
-if test x$def_curl = xyes; then 
+if test x$def_curl = xyes; then
 
  AC_CHECK_HEADERS([curl/curl.h], [curlHeader="yes"], [curlHeader="no"])
@@ -563,5 +563,5 @@
       LIBS="$LIBS -lefence"
    fi
-  
+
 fi
 
@@ -569,5 +569,5 @@
  AC_CHECK_LIB([m], [main])
 
- 
+
 # Checks for header files.
 AC_HEADER_STDC
@@ -586,21 +586,21 @@
 AC_CONFIG_FILES([Makefile
                  src/Makefile
-		 src/lib/Makefile
-		 src/lib/graphics/Makefile
-		 src/lib/graphics/importer/Makefile
-		 src/lib/sound/Makefile
-		 src/lib/event/Makefile
-		 src/lib/physics/Makefile
-		 src/lib/particles/Makefile
-		 src/lib/collision_detection/Makefile
-		 src/lib/gui/Makefile
+                 src/lib/Makefile
+                 src/lib/graphics/Makefile
+                 src/lib/graphics/importer/Makefile
+                 src/lib/sound/Makefile
+                 src/lib/event/Makefile
+                 src/lib/physics/Makefile
+                 src/lib/particles/Makefile
+                 src/lib/collision_detection/Makefile
+                 src/lib/gui/Makefile
                  src/lib/tinyxml/Makefile
-		 src/subprojects/Makefile
-		 src/subprojects/testmain/Makefile
-		 src/subprojects/importer/Makefile
-		 src/subprojects/particles/Makefile
-		 src/subprojects/collision_detection/Makefile
-		 src/subprojects/gui/Makefile
-		 ])
+                 src/subprojects/Makefile
+                 src/subprojects/testmain/Makefile
+                 src/subprojects/importer/Makefile
+                 src/subprojects/particles/Makefile
+                 src/subprojects/collision_detection/Makefile
+                 src/subprojects/gui/Makefile
+                 ])
 
 AC_OUTPUT