Index: orxonox/trunk/src/Makefile.am
===================================================================
--- orxonox/trunk/src/Makefile.am	(revision 4555)
+++ orxonox/trunk/src/Makefile.am	(revision 4556)
@@ -6,171 +6,170 @@
 
 
-bin_PROGRAMS = orxonox 
+bin_PROGRAMS = orxonox
 
 orxonox_DEPENDENCIES = lib/gui/libORXgui.a \
-		       lib/sound/libORXsound.a \
-		       lib/event/libORXevent.a \
-		       lib/physics/libORXphysics.a \
-		       lib/particles/libORXparticles.a \
-		       lib/collision_detection/libORXcd.a \
-		       lib/tinyxml/libtinyxml.a 
+                       lib/sound/libORXsound.a \
+                       lib/event/libORXevent.a \
+                       lib/physics/libORXphysics.a \
+                       lib/particles/libORXparticles.a \
+                       lib/collision_detection/libORXcd.a \
+                       lib/tinyxml/libtinyxml.a
 
 orxonox_LDADD = lib/gui/libORXgui.a \
-		lib/sound/libORXsound.a \
-		lib/event/libORXevent.a \
-		lib/physics/libORXphysics.a \
-		lib/particles/libORXparticles.a \
-		lib/collision_detection/libORXcd.a \
+                lib/sound/libORXsound.a \
+                lib/event/libORXevent.a \
+                lib/physics/libORXphysics.a \
+                lib/particles/libORXparticles.a \
+                lib/collision_detection/libORXcd.a \
                 lib/tinyxml/libtinyxml.a \
                 $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
 
-orxonox_SOURCES= orxonox.cc \
-		 util/loading/game_loader.cc \
-		 util/track/track_manager.cc \
-		 util/track/track_node.cc \
-		 util/track/pilot_node.cc \
-		 util/animation/animation.cc \
-		 util/animation/animation3d.cc \
-		 util/animation/animation_player.cc \
-		 util/object_manager.cc \
-		 util/garbage_collector.cc \
-		 util/resource_manager.cc \
-		 util/loading/factory.cc \
-		 util/loading/load_param.cc \
-		 util/state.cc \
-		 story_entities/story_entity.cc \
-		 story_entities/campaign.cc \
-		 story_entities/world.cc \
-		 world_entities/world_entity.cc \
-		 world_entities/camera.cc \
-		 world_entities/player.cc \
-		 world_entities/environment.cc \
-		 world_entities/skysphere.cc \
-		 world_entities/skybox.cc \
-		 world_entities/terrain.cc \
-		 world_entities/weapon.cc \
-		 world_entities/projectile.cc \
-		 world_entities/satellite.cc \
-		 world_entities/character_attributes.cc \
-		 world_entities/test_gun.cc \
-		 world_entities/test_bullet.cc \
-		 world_entities/test_entity.cc \
-		 lib/coord/p_node.cc \
-		 lib/coord/null_parent.cc \
-		 lib/coord/helper_parent.cc \
-		 lib/graphics/graphics_engine.cc \
-		 lib/graphics/light.cc \
-		 lib/graphics/text_engine.cc \
-		 lib/graphics/importer/array.cc \
-		 lib/graphics/importer/objModel.cc \
-		 lib/graphics/importer/md2Model.cc \
-		 lib/graphics/importer/primitive_model.cc \
-		 lib/graphics/importer/model.cc \
-		 lib/graphics/importer/material.cc \
-		 lib/graphics/importer/texture.cc \
-		 lib/lang/base_object.cc \
-		 lib/util/ini_parser.cc \
-		 lib/util/substring.cc \
-		 lib/math/vector.cc \
-		 lib/math/curve.cc \
-		 glmenu/glmenu_imagescreen.cc \
-		 subprojects/benchmark.cc
+orxonox_SOURCES = orxonox.cc \
+                  util/loading/game_loader.cc \
+                  util/track/track_manager.cc \
+                  util/track/track_node.cc \
+                  util/track/pilot_node.cc \
+                  util/animation/animation.cc \
+                  util/animation/animation3d.cc \
+                  util/animation/animation_player.cc \
+                  util/object_manager.cc \
+                  util/garbage_collector.cc \
+                  util/resource_manager.cc \
+                  util/loading/factory.cc \
+                  util/loading/load_param.cc \
+                  util/state.cc \
+                  story_entities/story_entity.cc \
+                  story_entities/campaign.cc \
+                  story_entities/world.cc \
+                  world_entities/world_entity.cc \
+                  world_entities/camera.cc \
+                  world_entities/player.cc \
+                  world_entities/environment.cc \
+                  world_entities/skysphere.cc \
+                  world_entities/skybox.cc \
+                  world_entities/terrain.cc \
+                  world_entities/weapon.cc \
+                  world_entities/projectile.cc \
+                  world_entities/satellite.cc \
+                  world_entities/character_attributes.cc \
+                  world_entities/test_gun.cc \
+                  world_entities/test_bullet.cc \
+                  world_entities/test_entity.cc \
+                  lib/coord/p_node.cc \
+                  lib/coord/null_parent.cc \
+                  lib/coord/helper_parent.cc \
+                  lib/graphics/graphics_engine.cc \
+                  lib/graphics/light.cc \
+                  lib/graphics/text_engine.cc \
+                  lib/graphics/importer/array.cc \
+                  lib/graphics/importer/objModel.cc \
+                  lib/graphics/importer/md2Model.cc \
+                  lib/graphics/importer/primitive_model.cc \
+                  lib/graphics/importer/model.cc \
+                  lib/graphics/importer/material.cc \
+                  lib/graphics/importer/texture.cc \
+                  lib/lang/base_object.cc \
+                  lib/util/ini_parser.cc \
+                  lib/util/substring.cc \
+                  lib/math/vector.cc \
+                  lib/math/curve.cc \
+                  glmenu/glmenu_imagescreen.cc \
+                  subprojects/benchmark.cc
 
 noinst_HEADERS = orxonox.h \
                  ability.h \
-		 defs/message_structures.h \
-		 util/loading/game_loader.h \
-		 util/track/track_manager.h \
-		 util/track/track_node.h \
-		 util/track/pilot_node.h \
-		 util/animation/animation.h \
-		 util/animation/t_animation.h \
-		 util/animation/animation3d.h \
-		 util/animation/animation_player.h \
-		 util/object_manager.h \
-		 util/garbage_collector.h \
-		 util/state.h \
-		 util/resource_manager.h \
-		 util/loading/factory.h \
-		 util/loading/load_param.h \
-		 story_entities/story_entity.h \
-		 story_entities/story_def.h \
-		 story_entities/campaign.h \
-		 story_entities/world.h \
-		 world_entities/world_entity.h \
-		 world_entities/camera.h \
-		 world_entities/player.h \
-		 world_entities/npc.h \
-		 world_entities/environment.h \
-		 world_entities/skysphere.h \
-		 world_entities/skybox.h \
-		 world_entities/power_up.h \
-		 world_entities/terrain.h \
-		 world_entities/weapon.h \
-		 world_entities/projectile.h \
-		 world_entities/satellite.h \
-		 world_entities/character_attributes.h \
-		 world_entities/test_gun.h \
-		 world_entities/test_bullet.h \
-		 world_entities/test_entity.h \
-		 defs/stdincl.h \
-		 defs/stdlibincl.h \
-		 defs/sdlincl.h \
-		 defs/glincl.h \
-		 defs/alincl.h \
-		 defs/comincl.h \
-		 defs/confincl.h \
-		 defs/error.h \
-		 defs/debug.h \
-		 defs/globals.h \
-		 defs/compiler.h \
-		 defs/class_list.h \
-		 lib/coord/p_node.h \
-		 lib/coord/null_parent.h \
-		 lib/coord/helper_parent.h \
-		 lib/graphics/graphics_engine.h \
-		 lib/graphics/light.h \
-		 lib/graphics/text_engine.h \
-		 lib/graphics/importer/array.h \
-		 lib/graphics/importer/abstract_model.h \
-		 lib/graphics/importer/objModel.h \
-		 lib/graphics/importer/md2Model.h \
-		 lib/graphics/importer/primitive_model.h \
-		 lib/graphics/importer/model.h \
-		 lib/graphics/importer/material.h \
-		 lib/graphics/importer/texture.h \
-		 lib/graphics/importer/anorms.h \
-		 lib/graphics/importer/anormtab.h \
-		 lib/lang/base_object.h \
-		 lib/util/ini_parser.h \
-		 lib/util/substring.h \
-		 lib/util/list.h \
-		 lib/math/vector.h \
-		 lib/math/curve.h \
-		 glmenu/glmenu_imagescreen.h \
-		 subprojects/benchmark.h 
+                 defs/message_structures.h \
+                 util/loading/game_loader.h \
+                 util/track/track_manager.h \
+                 util/track/track_node.h \
+                 util/track/pilot_node.h \
+                 util/animation/animation.h \
+                 util/animation/t_animation.h \
+                 util/animation/animation3d.h \
+                 util/animation/animation_player.h \
+                 util/object_manager.h \
+                 util/garbage_collector.h \
+                 util/state.h \
+                 util/resource_manager.h \
+                 util/loading/factory.h \
+                 util/loading/load_param.h \
+                 story_entities/story_entity.h \
+                 story_entities/story_def.h \
+                 story_entities/campaign.h \
+                 story_entities/world.h \
+                 world_entities/world_entity.h \
+                 world_entities/camera.h \
+                 world_entities/player.h \
+                 world_entities/npc.h \
+                 world_entities/environment.h \
+                 world_entities/skysphere.h \
+                 world_entities/skybox.h \
+                 world_entities/power_up.h \
+                 world_entities/terrain.h \
+                 world_entities/weapon.h \
+                 world_entities/projectile.h \
+                 world_entities/satellite.h \
+                 world_entities/character_attributes.h \
+                 world_entities/test_gun.h \
+                 world_entities/test_bullet.h \
+                 world_entities/test_entity.h \
+                 defs/stdincl.h \
+                 defs/stdlibincl.h \
+                 defs/sdlincl.h \
+                 defs/glincl.h \
+                 defs/alincl.h \
+                 defs/comincl.h \
+                 defs/confincl.h \
+                 defs/error.h \
+                 defs/debug.h \
+                 defs/globals.h \
+                 defs/compiler.h \
+                 defs/class_list.h \
+                 lib/coord/p_node.h \
+                 lib/coord/null_parent.h \
+                 lib/coord/helper_parent.h \
+                 lib/graphics/graphics_engine.h \
+                 lib/graphics/light.h \
+                 lib/graphics/text_engine.h \
+                 lib/graphics/importer/array.h \
+                 lib/graphics/importer/abstract_model.h \
+                 lib/graphics/importer/objModel.h \
+                 lib/graphics/importer/md2Model.h \
+                 lib/graphics/importer/primitive_model.h \
+                 lib/graphics/importer/model.h \
+                 lib/graphics/importer/material.h \
+                 lib/graphics/importer/texture.h \
+                 lib/graphics/importer/anorms.h \
+                 lib/graphics/importer/anormtab.h \
+                 lib/lang/base_object.h \
+                 lib/util/ini_parser.h \
+                 lib/util/substring.h \
+                 lib/util/list.h \
+                 lib/math/vector.h \
+                 lib/math/curve.h \
+                 glmenu/glmenu_imagescreen.h \
+                 subprojects/benchmark.h
 
 
 ## orxonox.conf will be used from home-dir instead.
 EXTRA_DIST = proto/proto_class.h \
-	     proto/proto_class.cc \
-	     proto/proto_singleton.h \
-	     proto/proto_singleton.cc \
-	     proto/proto_world_entity.h \
-	     proto/proto_world_entity.cc \
-	     defs/include_paths.am
+             proto/proto_class.cc \
+             proto/proto_singleton.h \
+             proto/proto_singleton.cc \
+             proto/proto_world_entity.h \
+             proto/proto_world_entity.cc \
+             defs/include_paths.am
+
 if SUB_PROJECTS
   SUB_PROGS = subprojects
 else
-  SUB_PROGS = 
+  SUB_PROGS =
 endif
 
 SUBDIRS = lib \
-	  . \
-	  $(SUB_PROGS)
+          . \
+          $(SUB_PROGS)
 
-#  uncomment the following if orxonox requires the math library
-#orxonox_LDADD=-lm
 
 #EXTRA_DIST=orxonox.lsm.in orxonox.spec.in orxonox.texinfo
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4555)
+++ orxonox/trunk/src/Makefile.in	(revision 4556)
@@ -240,159 +240,159 @@
 MAINSRCDIR = .
 orxonox_DEPENDENCIES = lib/gui/libORXgui.a \
-		       lib/sound/libORXsound.a \
-		       lib/event/libORXevent.a \
-		       lib/physics/libORXphysics.a \
-		       lib/particles/libORXparticles.a \
-		       lib/collision_detection/libORXcd.a \
-		       lib/tinyxml/libtinyxml.a 
+                       lib/sound/libORXsound.a \
+                       lib/event/libORXevent.a \
+                       lib/physics/libORXphysics.a \
+                       lib/particles/libORXparticles.a \
+                       lib/collision_detection/libORXcd.a \
+                       lib/tinyxml/libtinyxml.a
 
 orxonox_LDADD = lib/gui/libORXgui.a \
-		lib/sound/libORXsound.a \
-		lib/event/libORXevent.a \
-		lib/physics/libORXphysics.a \
-		lib/particles/libORXparticles.a \
-		lib/collision_detection/libORXcd.a \
+                lib/sound/libORXsound.a \
+                lib/event/libORXevent.a \
+                lib/physics/libORXphysics.a \
+                lib/particles/libORXparticles.a \
+                lib/collision_detection/libORXcd.a \
                 lib/tinyxml/libtinyxml.a \
                 $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
 orxonox_SOURCES = orxonox.cc \
-		 util/loading/game_loader.cc \
-		 util/track/track_manager.cc \
-		 util/track/track_node.cc \
-		 util/track/pilot_node.cc \
-		 util/animation/animation.cc \
-		 util/animation/animation3d.cc \
-		 util/animation/animation_player.cc \
-		 util/object_manager.cc \
-		 util/garbage_collector.cc \
-		 util/resource_manager.cc \
-		 util/loading/factory.cc \
-		 util/loading/load_param.cc \
-		 util/state.cc \
-		 story_entities/story_entity.cc \
-		 story_entities/campaign.cc \
-		 story_entities/world.cc \
-		 world_entities/world_entity.cc \
-		 world_entities/camera.cc \
-		 world_entities/player.cc \
-		 world_entities/environment.cc \
-		 world_entities/skysphere.cc \
-		 world_entities/skybox.cc \
-		 world_entities/terrain.cc \
-		 world_entities/weapon.cc \
-		 world_entities/projectile.cc \
-		 world_entities/satellite.cc \
-		 world_entities/character_attributes.cc \
-		 world_entities/test_gun.cc \
-		 world_entities/test_bullet.cc \
-		 world_entities/test_entity.cc \
-		 lib/coord/p_node.cc \
-		 lib/coord/null_parent.cc \
-		 lib/coord/helper_parent.cc \
-		 lib/graphics/graphics_engine.cc \
-		 lib/graphics/light.cc \
-		 lib/graphics/text_engine.cc \
-		 lib/graphics/importer/array.cc \
-		 lib/graphics/importer/objModel.cc \
-		 lib/graphics/importer/md2Model.cc \
-		 lib/graphics/importer/primitive_model.cc \
-		 lib/graphics/importer/model.cc \
-		 lib/graphics/importer/material.cc \
-		 lib/graphics/importer/texture.cc \
-		 lib/lang/base_object.cc \
-		 lib/util/ini_parser.cc \
-		 lib/util/substring.cc \
-		 lib/math/vector.cc \
-		 lib/math/curve.cc \
-		 glmenu/glmenu_imagescreen.cc \
-		 subprojects/benchmark.cc
+                  util/loading/game_loader.cc \
+                  util/track/track_manager.cc \
+                  util/track/track_node.cc \
+                  util/track/pilot_node.cc \
+                  util/animation/animation.cc \
+                  util/animation/animation3d.cc \
+                  util/animation/animation_player.cc \
+                  util/object_manager.cc \
+                  util/garbage_collector.cc \
+                  util/resource_manager.cc \
+                  util/loading/factory.cc \
+                  util/loading/load_param.cc \
+                  util/state.cc \
+                  story_entities/story_entity.cc \
+                  story_entities/campaign.cc \
+                  story_entities/world.cc \
+                  world_entities/world_entity.cc \
+                  world_entities/camera.cc \
+                  world_entities/player.cc \
+                  world_entities/environment.cc \
+                  world_entities/skysphere.cc \
+                  world_entities/skybox.cc \
+                  world_entities/terrain.cc \
+                  world_entities/weapon.cc \
+                  world_entities/projectile.cc \
+                  world_entities/satellite.cc \
+                  world_entities/character_attributes.cc \
+                  world_entities/test_gun.cc \
+                  world_entities/test_bullet.cc \
+                  world_entities/test_entity.cc \
+                  lib/coord/p_node.cc \
+                  lib/coord/null_parent.cc \
+                  lib/coord/helper_parent.cc \
+                  lib/graphics/graphics_engine.cc \
+                  lib/graphics/light.cc \
+                  lib/graphics/text_engine.cc \
+                  lib/graphics/importer/array.cc \
+                  lib/graphics/importer/objModel.cc \
+                  lib/graphics/importer/md2Model.cc \
+                  lib/graphics/importer/primitive_model.cc \
+                  lib/graphics/importer/model.cc \
+                  lib/graphics/importer/material.cc \
+                  lib/graphics/importer/texture.cc \
+                  lib/lang/base_object.cc \
+                  lib/util/ini_parser.cc \
+                  lib/util/substring.cc \
+                  lib/math/vector.cc \
+                  lib/math/curve.cc \
+                  glmenu/glmenu_imagescreen.cc \
+                  subprojects/benchmark.cc
 
 noinst_HEADERS = orxonox.h \
                  ability.h \
-		 defs/message_structures.h \
-		 util/loading/game_loader.h \
-		 util/track/track_manager.h \
-		 util/track/track_node.h \
-		 util/track/pilot_node.h \
-		 util/animation/animation.h \
-		 util/animation/t_animation.h \
-		 util/animation/animation3d.h \
-		 util/animation/animation_player.h \
-		 util/object_manager.h \
-		 util/garbage_collector.h \
-		 util/state.h \
-		 util/resource_manager.h \
-		 util/loading/factory.h \
-		 util/loading/load_param.h \
-		 story_entities/story_entity.h \
-		 story_entities/story_def.h \
-		 story_entities/campaign.h \
-		 story_entities/world.h \
-		 world_entities/world_entity.h \
-		 world_entities/camera.h \
-		 world_entities/player.h \
-		 world_entities/npc.h \
-		 world_entities/environment.h \
-		 world_entities/skysphere.h \
-		 world_entities/skybox.h \
-		 world_entities/power_up.h \
-		 world_entities/terrain.h \
-		 world_entities/weapon.h \
-		 world_entities/projectile.h \
-		 world_entities/satellite.h \
-		 world_entities/character_attributes.h \
-		 world_entities/test_gun.h \
-		 world_entities/test_bullet.h \
-		 world_entities/test_entity.h \
-		 defs/stdincl.h \
-		 defs/stdlibincl.h \
-		 defs/sdlincl.h \
-		 defs/glincl.h \
-		 defs/alincl.h \
-		 defs/comincl.h \
-		 defs/confincl.h \
-		 defs/error.h \
-		 defs/debug.h \
-		 defs/globals.h \
-		 defs/compiler.h \
-		 defs/class_list.h \
-		 lib/coord/p_node.h \
-		 lib/coord/null_parent.h \
-		 lib/coord/helper_parent.h \
-		 lib/graphics/graphics_engine.h \
-		 lib/graphics/light.h \
-		 lib/graphics/text_engine.h \
-		 lib/graphics/importer/array.h \
-		 lib/graphics/importer/abstract_model.h \
-		 lib/graphics/importer/objModel.h \
-		 lib/graphics/importer/md2Model.h \
-		 lib/graphics/importer/primitive_model.h \
-		 lib/graphics/importer/model.h \
-		 lib/graphics/importer/material.h \
-		 lib/graphics/importer/texture.h \
-		 lib/graphics/importer/anorms.h \
-		 lib/graphics/importer/anormtab.h \
-		 lib/lang/base_object.h \
-		 lib/util/ini_parser.h \
-		 lib/util/substring.h \
-		 lib/util/list.h \
-		 lib/math/vector.h \
-		 lib/math/curve.h \
-		 glmenu/glmenu_imagescreen.h \
-		 subprojects/benchmark.h 
+                 defs/message_structures.h \
+                 util/loading/game_loader.h \
+                 util/track/track_manager.h \
+                 util/track/track_node.h \
+                 util/track/pilot_node.h \
+                 util/animation/animation.h \
+                 util/animation/t_animation.h \
+                 util/animation/animation3d.h \
+                 util/animation/animation_player.h \
+                 util/object_manager.h \
+                 util/garbage_collector.h \
+                 util/state.h \
+                 util/resource_manager.h \
+                 util/loading/factory.h \
+                 util/loading/load_param.h \
+                 story_entities/story_entity.h \
+                 story_entities/story_def.h \
+                 story_entities/campaign.h \
+                 story_entities/world.h \
+                 world_entities/world_entity.h \
+                 world_entities/camera.h \
+                 world_entities/player.h \
+                 world_entities/npc.h \
+                 world_entities/environment.h \
+                 world_entities/skysphere.h \
+                 world_entities/skybox.h \
+                 world_entities/power_up.h \
+                 world_entities/terrain.h \
+                 world_entities/weapon.h \
+                 world_entities/projectile.h \
+                 world_entities/satellite.h \
+                 world_entities/character_attributes.h \
+                 world_entities/test_gun.h \
+                 world_entities/test_bullet.h \
+                 world_entities/test_entity.h \
+                 defs/stdincl.h \
+                 defs/stdlibincl.h \
+                 defs/sdlincl.h \
+                 defs/glincl.h \
+                 defs/alincl.h \
+                 defs/comincl.h \
+                 defs/confincl.h \
+                 defs/error.h \
+                 defs/debug.h \
+                 defs/globals.h \
+                 defs/compiler.h \
+                 defs/class_list.h \
+                 lib/coord/p_node.h \
+                 lib/coord/null_parent.h \
+                 lib/coord/helper_parent.h \
+                 lib/graphics/graphics_engine.h \
+                 lib/graphics/light.h \
+                 lib/graphics/text_engine.h \
+                 lib/graphics/importer/array.h \
+                 lib/graphics/importer/abstract_model.h \
+                 lib/graphics/importer/objModel.h \
+                 lib/graphics/importer/md2Model.h \
+                 lib/graphics/importer/primitive_model.h \
+                 lib/graphics/importer/model.h \
+                 lib/graphics/importer/material.h \
+                 lib/graphics/importer/texture.h \
+                 lib/graphics/importer/anorms.h \
+                 lib/graphics/importer/anormtab.h \
+                 lib/lang/base_object.h \
+                 lib/util/ini_parser.h \
+                 lib/util/substring.h \
+                 lib/util/list.h \
+                 lib/math/vector.h \
+                 lib/math/curve.h \
+                 glmenu/glmenu_imagescreen.h \
+                 subprojects/benchmark.h
 
 EXTRA_DIST = proto/proto_class.h \
-	     proto/proto_class.cc \
-	     proto/proto_singleton.h \
-	     proto/proto_singleton.cc \
-	     proto/proto_world_entity.h \
-	     proto/proto_world_entity.cc \
-	     defs/include_paths.am
+             proto/proto_class.cc \
+             proto/proto_singleton.h \
+             proto/proto_singleton.cc \
+             proto/proto_world_entity.h \
+             proto/proto_world_entity.cc \
+             defs/include_paths.am
 
 @SUB_PROJECTS_FALSE@SUB_PROGS = 
 @SUB_PROJECTS_TRUE@SUB_PROGS = subprojects
 SUBDIRS = lib \
-	  . \
-	  $(SUB_PROGS)
+          . \
+          $(SUB_PROGS)
 
 all: all-recursive
@@ -1591,7 +1591,4 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-#  uncomment the following if orxonox requires the math library
-#orxonox_LDADD=-lm
-
 #EXTRA_DIST=orxonox.lsm.in orxonox.spec.in orxonox.texinfo
 
Index: orxonox/trunk/src/lib/particles/Makefile.am
===================================================================
--- orxonox/trunk/src/lib/particles/Makefile.am	(revision 4555)
+++ orxonox/trunk/src/lib/particles/Makefile.am	(revision 4556)
@@ -2,14 +2,14 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LIBRARIES = libORXparticles.a 
+noinst_LIBRARIES = libORXparticles.a
 
 libORXparticles_a_SOURCES = particle_engine.cc \
-		       	  particle_emitter.cc \
-		          particle_system.cc \
-		          quick_animation.cc 
+                            particle_emitter.cc \
+                            particle_system.cc \
+                            quick_animation.cc
 
 
 noinst_HEADERS= particle_engine.h \
-		particle_emitter.h \
-		particle_system.h \
-		quick_animation.h
+                particle_emitter.h \
+                particle_system.h \
+                quick_animation.h
Index: orxonox/trunk/src/lib/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/particles/Makefile.in	(revision 4555)
+++ orxonox/trunk/src/lib/particles/Makefile.in	(revision 4556)
@@ -185,14 +185,14 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-noinst_LIBRARIES = libORXparticles.a 
+noinst_LIBRARIES = libORXparticles.a
 libORXparticles_a_SOURCES = particle_engine.cc \
-		       	  particle_emitter.cc \
-		          particle_system.cc \
-		          quick_animation.cc 
+                            particle_emitter.cc \
+                            particle_system.cc \
+                            quick_animation.cc
 
 noinst_HEADERS = particle_engine.h \
-		particle_emitter.h \
-		particle_system.h \
-		quick_animation.h
+                particle_emitter.h \
+                particle_system.h \
+                quick_animation.h
 
 all: all-am
Index: orxonox/trunk/src/orxonox.cc
===================================================================
--- orxonox/trunk/src/orxonox.cc	(revision 4555)
+++ orxonox/trunk/src/orxonox.cc	(revision 4556)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -16,5 +16,5 @@
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
-   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
 
@@ -68,5 +68,5 @@
    \brief remove Orxonox from memory
 */
-Orxonox::~Orxonox () 
+Orxonox::~Orxonox ()
 {
   int i =0;
@@ -96,5 +96,5 @@
 /**
    \brief this finds the config file
-   
+
    Since the config file varies from user to user and since one may want to specify different config files
    for certain occasions or platforms this function finds the right config file for every occasion and stores
@@ -115,5 +115,5 @@
   // parse command line
   // config file
-  
+
   getConfigFile (argc, argv);
   SDL_Init (SDL_INIT_TIMER);
@@ -130,5 +130,5 @@
   //printf("> Initializing world\n");
   //if( init_world () == -1) return -1; PB: world will be initialized when started
-  
+
   return 0;
 }
@@ -137,10 +137,10 @@
    \brief initializes SDL and OpenGL
 */
-int Orxonox::initVideo() 
+int Orxonox::initVideo()
 {
   PRINTF(3)("> Initializing video\n");
-  
+
   GraphicsEngine::getInstance();
-    
+
   return 0;
 }
@@ -150,5 +150,5 @@
    \brief initializes the sound engine
 */
-int Orxonox::initSound() 
+int Orxonox::initSound()
 {
   PRINT(3)("> Initializing sound\n");
@@ -162,9 +162,9 @@
    \brief initializes input functions
 */
-int Orxonox::initInput() 
+int Orxonox::initInput()
 {
   this->eventHandler = EventHandler::getInstance();
   this->eventHandler->init();
-  
+
   return 0;
 }
@@ -174,5 +174,5 @@
    \brief initializes network system
 */
-int Orxonox::initNetworking() 
+int Orxonox::initNetworking()
 {
   printf("Not yet implemented\n");
@@ -184,5 +184,5 @@
    \brief initializes and loads resource files
 */
-int Orxonox::initResources() 
+int Orxonox::initResources()
 {
   PRINT(3)("initializing ResourceManager\n");
@@ -200,28 +200,28 @@
   memset (namebuf, 0, 256);
   memset (valuebuf, 0, 256);
-  
+
   while( parser.nextVar (namebuf, valuebuf) != -1)
     {
       if (!strcmp(namebuf, CONFIG_NAME_DATADIR))
-	{
-	  //  printf("Not yet implemented\n");
-	  if (!resourceManager->setDataDir(valuebuf))
-	    {
-	      PRINTF(1)("Data Could not be located\n");
-	      exit(-1);
-	    }
-	}
-      
+        {
+          //  printf("Not yet implemented\n");
+          if (!resourceManager->setDataDir(valuebuf))
+            {
+              PRINTF(1)("Data Could not be located\n");
+              exit(-1);
+            }
+        }
+
       memset (namebuf, 0, 256);
       memset (valuebuf, 0, 256);
     }
-  
+
   if (!resourceManager->checkDataDir(DEFAULT_DATA_DIR_CHECKFILE))
     {
       PRINTF(1)("The DataDirectory %s could not be verified\nPlease Change in File %s Section %s Entry %s to a suitable value\n",
-		resourceManager->getDataDir(),
-		DEFAULT_CONFIG_FILE,
-		CONFIG_SECTION_DATA,
-		CONFIG_NAME_DATADIR);
+                resourceManager->getDataDir(),
+                DEFAULT_CONFIG_FILE,
+                CONFIG_SECTION_DATA,
+                CONFIG_NAME_DATADIR);
       exit(-1);
     }
@@ -250,5 +250,5 @@
 void Orxonox::start()
 {
-  
+
   this->gameLoader = GameLoader::getInstance();
   this->gameLoader->loadCampaign("worlds/DefaultCampaign.oxc");
@@ -261,5 +261,5 @@
 /**
    \brief handles sprecial events from localinput
-   \param event: an event not handled by the CommandNode 
+   \param event: an event not handled by the CommandNode
 */
 void Orxonox::graphicsHandler(SDL_Event* event)
@@ -274,5 +274,5 @@
     }
 }
- 
+
 
 /**
@@ -292,6 +292,6 @@
    here the journey begins
 */
-int main(int argc, char** argv) 
-{ 
+int main(int argc, char** argv)
+{
 
   // here the pre-arguments are loaded, these are needed to go either to orxonx itself, Help, or Benchmark.
@@ -333,6 +333,6 @@
     {
       if (ResourceManager::isFile("~/.orxonox/orxonox.lock"))
-	ResourceManager::deleteFile("~/.orxonox/orxonox.lock");
-      
+        ResourceManager::deleteFile("~/.orxonox/orxonox.lock");
+
       // starting the GUI
       Gui* gui = new Gui(argc, argv);
@@ -340,9 +340,9 @@
 
       if (! gui->startOrxonox)
-	return 0;
-      
+        return 0;
+
       delete gui;
     }
-  
+
   PRINT(0)(">>> Starting Orxonox <<<\n");
 
@@ -350,5 +350,5 @@
 
   Orxonox *orx = Orxonox::getInstance();
-  
+
   if((*orx).init(argc, argv) == -1)
     {
@@ -356,9 +356,9 @@
       return -1;
     }
-  
+
   orx->start();
-  
+
   delete orx;
   ResourceManager::deleteFile("~/.orxonox/orxonox.lock");
-  
-}
+
+}