Index: /orxonox/trunk/ChangeLog
===================================================================
--- /orxonox/trunk/ChangeLog	(revision 4560)
+++ /orxonox/trunk/ChangeLog	(revision 4561)
@@ -1,121 +1,123 @@
-2005-06-04	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Merged the SoundEngine (openAL-version) into the trunk
-	this is one of the major steps up to version 0.3-pre-alpha
+2005-06-09      orxonox <info@orxonox.ethz.ch>
+        created new Tag 0.3.0-pre-alpha
 
-2005-06-03	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Implemented cycling loading procedures used for 
-	the TrackManager and Animations
+2005-06-04      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Merged the SoundEngine (openAL-version) into the trunk
+        this is one of the major steps up to version 0.3-pre-alpha
 
-2005-06-01	orxonox <info@orxonox.ethz.ch>
-	serious cleanup of most files
-	design and doxygen tags
-	deleted old unused fucntions
+2005-06-03      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Implemented cycling loading procedures used for
+        the TrackManager and Animations
 
-2005-05-30	Patrick Boenzli <patrick@oroxnox.ethz.ch>
-	Implemented new EventSystem for orxonox
-	Highly advanced, and much faster.
+2005-06-01      orxonox <info@orxonox.ethz.ch>
+        serious cleanup of most files
+        design and doxygen tags
+        deleted old unused fucntions
 
-2005-05-27	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Intorducing new Subprojects with a new modular framework.
-	Introducing ParticlesFun
-	Introducing new Importer (this was easy :))
+2005-05-30      Patrick Boenzli <patrick@oroxnox.ethz.ch>
+        Implemented new EventSystem for orxonox
+        Highly advanced, and much faster.
 
-2005-05-10	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Merged the gui into the executable
-	Windows compiles again.
+2005-05-27      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Intorducing new Subprojects with a new modular framework.
+        Introducing ParticlesFun
+        Introducing new Importer (this was easy :))
 
-2005-04-27	orxonox
-	Tagged Version 0.2.3-pre-alpha
+2005-05-10      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Merged the gui into the executable
+        Windows compiles again.
 
-2005-04-23	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Finished most work on Animation-classes
+2005-04-27      orxonox
+        Tagged Version 0.2.3-pre-alpha
 
-2005-04-21	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Material Class update: possibility for transparency.
+2005-04-23      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Finished most work on Animation-classes
 
-2005-04-15	Patrick Boenzli <partick@orxonox.ethz.ch>
-	Added AnimationPlayer and two animation classes.
+2005-04-21      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Material Class update: possibility for transparency.
 
-2005-04-07	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Reimplemeted the Weapon and shoot-functions
+2005-04-15      Patrick Boenzli <partick@orxonox.ethz.ch>
+        Added AnimationPlayer and two animation classes.
 
-2005-03-31	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added Text Engine
+2005-04-07      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Reimplemeted the Weapon and shoot-functions
 
-2005-03-26	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added ResourceManager
+2005-03-31      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added Text Engine
 
-2005-03-24	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Reimplemented shooting.
+2005-03-26      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added ResourceManager
 
-2005-03-16	orxonox
-	Finished work on version 0.2.1-pre-alpha released 0.2.2-pre-alpha
+2005-03-24      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Reimplemented shooting.
 
-2005-03-15	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	parenting finished
+2005-03-16      orxonox
+        Finished work on version 0.2.1-pre-alpha released 0.2.2-pre-alpha
 
-2005-03-09	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Big Cleanup again
-	
-2005-03-01	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added Light Class
-	
-2005-02-27	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Big Configure.ac-cleanup
+2005-03-15      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        parenting finished
 
-2005-02-22	David Gruetter <davgr@gmx.ch>
-	Added Skysphere
-	
-2005-01-07	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	LoadScreen implemented
-	
-2004-12-20	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	New Version out 0.2.1-pre-alpha
-	
-2004-12-20	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	HEAVY cleanup of the framework
+2005-03-09      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Big Cleanup again
 
-2004-12-18	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	enhanced the Command Node
+2005-03-01      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added Light Class
 
-2004-12-15	Nico Benold <bernoldn@ee.ethz.ch>
-	OS X support
-	
-2004-12-15	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Defined standard coding rules
+2005-02-27      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Big Configure.ac-cleanup
 
-2004-12-15	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added Importer for showing 3D Object.
+2005-02-22      David Gruetter <davgr@gmx.ch>
+        Added Skysphere
 
-2004-11-07	David Gruetter <davgr@gmx.ch>
-	Shaded Terrain
-	
-2004-10-23	Adrian Buerli <buerlia@ee.ethz.ch>
-	Dynamic Mountains, dynamic movement.
-	
-2004-10-18	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Release 0.1-pre-alpha
+2005-01-07      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        LoadScreen implemented
 
-2004-07-17	Christian Meyer <cmeyer@ee.ethz.ch>
-	SDL-Framework
-	
-2004-06-09	Tom of ethz
-	Added endless Mountains
+2004-12-20      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        New Version out 0.2.1-pre-alpha
 
-2004-06-02	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added Console
-	
-2004-05-20	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Added the ability to shoot
+2004-12-20      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        HEAVY cleanup of the framework
 
-2004-05-05	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added the GUI.
+2004-12-18      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        enhanced the Command Node
 
-2004-04-21	Patrik Boenzli <patrick@orxonox.ethz.ch>
-	Added Makefile to orxonox
+2004-12-15      Nico Benold <bernoldn@ee.ethz.ch>
+        OS X support
 
-2004-04-25	Amir Guindehi <amir@guindehi.ch>
-	Created Project Orxonox
-	
+2004-12-15      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Defined standard coding rules
 
-	
+2004-12-15      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added Importer for showing 3D Object.
+
+2004-11-07      David Gruetter <davgr@gmx.ch>
+        Shaded Terrain
+
+2004-10-23      Adrian Buerli <buerlia@ee.ethz.ch>
+        Dynamic Mountains, dynamic movement.
+
+2004-10-18      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Release 0.1-pre-alpha
+
+2004-07-17      Christian Meyer <cmeyer@ee.ethz.ch>
+        SDL-Framework
+
+2004-06-09      Tom of ethz
+        Added endless Mountains
+
+2004-06-02      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added Console
+
+2004-05-20      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Added the ability to shoot
+
+2004-05-05      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added the GUI.
+
+2004-04-21      Patrik Boenzli <patrick@orxonox.ethz.ch>
+        Added Makefile to orxonox
+
+2004-04-25      Amir Guindehi <amir@guindehi.ch>
+        Created Project Orxonox
+
+
Index: /orxonox/trunk/NEWS
===================================================================
--- /orxonox/trunk/NEWS	(revision 4560)
+++ /orxonox/trunk/NEWS	(revision 4561)
@@ -1,9 +1,13 @@
+Date: June 09, 2005
+Topic: tag 0.3.0-pre-alpha released
+Body: new Tag release.
+
 Date: June 04, 2005
-TopicL SoundEngine
+Topic: SoundEngine
 Body: just merged the SoundEngine into the project. This is a major step toward a new aera, of interaction, because it really gets the player a feeling, of what is happening. check <a href="https://www.orxonox.ethz.ch/cgi-bin/trac.cgi/wiki/SoundEngine">this</a> link for a description on how to use it.
 
 Date: June 01, 2005
 Topic: New Features
-Body: Orxonox now supports the MD2Model. We have implemented a physics engine and a particle system. 
+Body: Orxonox now supports the MD2Model. We have implemented a physics engine and a particle system.
 
 Date: May 28, 2005
@@ -23,26 +27,26 @@
 Body: Today we moved the repository. The new location of the repository is <A href="https://svn.orxonox.ethz.ch/reporx">http://svn.orxonox.ethz.ch/reporx</A>.
 
-Date:	November 16, 2004
-Topic:	Importer
-Body:	There now exists a possibility to import .obj-files (alias wavefront format) into the Game. You can find some test models here: <A href="/files/models">models</a>. You can also test them with the included importer which is locates in trunk/importer. enjoy.
+Date:   November 16, 2004
+Topic:  Importer
+Body:   There now exists a possibility to import .obj-files (alias wavefront format) into the Game. You can find some test models here: <A href="/files/models">models</a>. You can also test them with the included importer which is locates in trunk/importer. enjoy.
 
-Date:	June 22, 2004
-Topic: 	Develop on Win32 - bg
-Body:	Now the moment you have all been waiting for has arrived. Orxonox can finally be compiled on Windows machines. We know that it is no good idea to do this, but since there are some people interessted in working with Windows, we will give you a chance: read <A href = "/index.php?site=additional.sites/howto.dev.win/howto.dev.win.cc.php" >the manual </A>.
+Date:   June 22, 2004
+Topic:  Develop on Win32 - bg
+Body:   Now the moment you have all been waiting for has arrived. Orxonox can finally be compiled on Windows machines. We know that it is no good idea to do this, but since there are some people interessted in working with Windows, we will give you a chance: read <A href = "/index.php?site=additional.sites/howto.dev.win/howto.dev.win.cc.php" >the manual </A>.
 
-Date:	June 04, 2004
-Topic:	Orxonox Convention - pb
-Body:	Here you can find all the information you need, to join us at the <A href="index.php?site=additional.sites/convention01/convention01.php"> Orxonox Convention </A>, that takes Place at Stuz June 9. 2004.
+Date:   June 04, 2004
+Topic:  Orxonox Convention - pb
+Body:   Here you can find all the information you need, to join us at the <A href="index.php?site=additional.sites/convention01/convention01.php"> Orxonox Convention </A>, that takes Place at Stuz June 9. 2004.
 
-Date:	June 04, 2004
+Date:   June 04, 2004
 Topic:  Manual for Subversion@DataCore.ch
-Body:	A manual for <A href="/files/subversion/subversion.pdf"> Subversion at DataCore</A> is made. Now we need someone, to correct all the errors. Please someone Checkout the Source of this at http://orxonox.ethz.ch/repos/latex/subversion an do the repairs.
+Body:   A manual for <A href="/files/subversion/subversion.pdf"> Subversion at DataCore</A> is made. Now we need someone, to correct all the errors. Please someone Checkout the Source of this at http://orxonox.ethz.ch/repos/latex/subversion an do the repairs.
 
-Date:	June 02, 2004
-Topic:	New homepage released - pb
-Body:	New homepage released, thanks to the power of subversion. And thanks to the VSETH to give us webspace on their server
+Date:   June 02, 2004
+Topic:  New homepage released - pb
+Body:   New homepage released, thanks to the power of subversion. And thanks to the VSETH to give us webspace on their server
 
-Date:	May 26, 2004
-Topic:	New ship models - bg
-Body:	Some new space models are now ready for download. You'll find them in the download section or try it <A href="/files/orx_pictures.tar.bz2">here</A>
+Date:   May 26, 2004
+Topic:  New ship models - bg
+Body:   Some new space models are now ready for download. You'll find them in the download section or try it <A href="/files/orx_pictures.tar.bz2">here</A>
 