Index: data/trunk/levels/sp_cutscene_intro.oxw
===================================================================
--- data/trunk/levels/sp_cutscene_intro.oxw	(revision 4562)
+++ data/trunk/levels/sp_cutscene_intro.oxw	(revision 4563)
@@ -14,5 +14,4 @@
   <WorldEntities>
 
-
         <SkyBox>
           <name>Sky</name>
@@ -23,13 +22,13 @@
         <NPC>
           <name>shutleOne</name>
-          <model>models/spaceships/noxon_spaceship_fighter.obj</model>
-          <abs-coor>0, 0, 1000</abs-coor>
-          <abs-dir> 1.5,0,1,0 </abs-dir>
+          <model>models/spaceships/noxon_spaceship_fighter.obj, 0.2</model>
+          <abs-coor>110, 0, 175</abs-coor>
+          <abs-dir> 3.14,0,1,0 </abs-dir>
         </NPC>
 
         <Planet>
 	    <name>Earth</name>
-	    <size>140</size>
-	    <abs-coor>0, 0, -200</abs-coor>
+	    <size>200</size>
+	    <abs-coor>-75, 0, 400</abs-coor>
 	    <texture>textures/planets/mars.png</texture>
 	  </Planet>
@@ -38,6 +37,6 @@
          <name>Moon</name>
          <texture>textures/planets/pluto.png</texture>
-         <size>40</size>
-         <abs-coor> 250, 0 , 0</abs-coor>
+         <size>35</size>
+         <abs-coor> -500, 0 , 200</abs-coor>
          <abs-dir>3.1412, 0,1,0</abs-dir>
         </Planet>
@@ -45,6 +44,7 @@
         <Building>
           <name>zhara</name>
-          <model>models/space_stations/ZHARA_Space_Station.obj</model>
-          <abs-coor>0,0,0</abs-coor>
+          <model>models/space_stations/ZHARA_Space_Station.obj, 2</model>
+          <abs-coor>-150,0,150</abs-coor>
+          <abs-dir>3.1412, 0,1,0</abs-dir>
         </Building>
 
@@ -86,16 +86,15 @@
     <Camera>
      <name> CameraOne </name>
-     <abs-coor>500,0,0</abs-coor>
+     <abs-coor>0,0,-200</abs-coor>
      <Track>
        <mode>1</mode>
-       <speed>1</speed>
-       <addPoint>500,0,0</addPoint>
-       <addPoint>450,0,0</addPoint>
-       <addPoint>350,0,0</addPoint>
-       <addPoint>300,0,0</addPoint>
-       <addPoint>250,0,0</addPoint>
-       <addPoint>200,0,0</addPoint>
-       <addPoint>150,0,0</addPoint>
-       
+       <speed>0.25</speed>
+       <addPoint>0,0,-200</addPoint>
+       <addPoint>0,0,-150</addPoint>
+       <addPoint>0,0,-100</addPoint>
+       <addPoint>0,0,0</addPoint>
+       <addPoint>0,0,75</addPoint>
+       <addPoint>0,0,150</addPoint>
+       <addPoint>0,0,200</addPoint>
      </Track>
     </Camera>
@@ -114,5 +113,5 @@
       <Light>
        <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>0, 0, -2000</abs-coor>
+       <abs-coor>2000, 0, 0</abs-coor>
       </Light>
     </Lights>
Index: data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- data/trunk/scripts/cutscene/cutscene.lua	(revision 4562)
+++ data/trunk/scripts/cutscene/cutscene.lua	(revision 4563)
@@ -9,7 +9,7 @@
 triggerOne:setScript("cutscene.lua")
 triggerOne:setFunction("switchCamTargetToEarth")
-triggerOne:setAbsCoor(250, 0 , 0)
+triggerOne:setAbsCoor(0 , 0 , -50)
 triggerOne:setTarget("CameraOne")
-triggerOne:setRadius(1)
+triggerOne:setRadius(10)
 triggerOne:setDebugDraw(true)
 
@@ -19,7 +19,7 @@
 triggerTwo:setScript("cutscene.lua")
 triggerTwo:setFunction("switchCamToSpaceship")
-triggerTwo:setAbsCoor(250, 0 , 0)
-triggerTwo:setTarget("shutleOne")
-triggerTwo:setRadius(1)
+triggerTwo:setAbsCoor(0, 0 , 125)
+triggerTwo:setTarget("CameraOne")
+triggerTwo:setRadius(5)
 triggerTwo:setDebugDraw(true)  
 
@@ -28,7 +28,7 @@
 triggerThree:setScript("cutscene.lua")
 triggerThree:setFunction("switchCamToStation")
-triggerThree:setAbsCoor(250, 0 , 0)
-triggerThree:setTarget("CameraTwo")
-triggerThree:setRadius(1)
+triggerThree:setAbsCoor(-125, 0 , 175)
+triggerThree:setTarget("CameraOne")
+triggerThree:setRadius(5)
 triggerThree:setDebugDraw(true)  
 
@@ -40,4 +40,21 @@
 -- Global Variables
 time = 0
+
+
+-- shutleOne
+shutle = { }
+--{
+
+ function shutle:tick(timestep)
+ if cameraManager:getCurrCameraCoorZ() > 0 then
+  coorX = shutleOne:getAbsCoorX()
+  coorY = shutleOne:getAbsCoorY()
+  coorZ = shutleOne:getAbsCoorZ()
+  shutleOne:setAbsCoor(coorX-.06,coorY,coorZ)
+ end
+ end
+
+ --}
+
 
 
@@ -55,4 +72,6 @@
 function switchCamToStation(timestep)
 cameraManager:atachCurrCameraToWorldEntity("Building", "zhara")
+
+--cameraManager:detachCurrCamera()
 return true
 end
@@ -63,12 +82,17 @@
 function tick(timestep)
 time = time + timestep
+
+shutle:tick(timestep)
+
+if not cameraSwitched then
 cameraManager:setCam("CameraOne")
---cameraManager:atachCurrCameraToWorldEntity( "NPC", "shutleOne")
-
+--cameraManager:atachCurrCameraToWorldEntity("NPC", "shutleOne")
+cameraManager:changeCurrTarget("Planet", "Moon")
 cameraSwitched = true
+end
 
 if time > 4 then
 --cameraManager:togglFade()
-return true
+--return true
 end
 