Index: orxonox/trunk/src/Makefile.am
===================================================================
--- orxonox/trunk/src/Makefile.am	(revision 4570)
+++ orxonox/trunk/src/Makefile.am	(revision 4571)
@@ -63,5 +63,4 @@
                   lib/coord/p_node.cc \
                   lib/coord/null_parent.cc \
-                  lib/coord/helper_parent.cc \
                   lib/graphics/graphics_engine.cc \
                   lib/graphics/light.cc \
@@ -126,5 +125,4 @@
                  lib/coord/p_node.h \
                  lib/coord/null_parent.h \
-                 lib/coord/helper_parent.h \
                  lib/graphics/graphics_engine.h \
                  lib/graphics/light.h \
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4570)
+++ orxonox/trunk/src/Makefile.in	(revision 4571)
@@ -65,5 +65,5 @@
 	satellite.$(OBJEXT) character_attributes.$(OBJEXT) \
 	test_gun.$(OBJEXT) test_bullet.$(OBJEXT) test_entity.$(OBJEXT) \
-	p_node.$(OBJEXT) null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
+	p_node.$(OBJEXT) null_parent.$(OBJEXT) \
 	graphics_engine.$(OBJEXT) light.$(OBJEXT) \
 	text_engine.$(OBJEXT) base_object.$(OBJEXT) \
@@ -88,5 +88,4 @@
 @AMDEP_TRUE@	./$(DEPDIR)/glmenu_imagescreen.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/graphics_engine.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/helper_parent.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/ini_parser.Po ./$(DEPDIR)/light.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/load_param.Po \
@@ -289,5 +288,4 @@
                   lib/coord/p_node.cc \
                   lib/coord/null_parent.cc \
-                  lib/coord/helper_parent.cc \
                   lib/graphics/graphics_engine.cc \
                   lib/graphics/light.cc \
@@ -352,5 +350,4 @@
                  lib/coord/p_node.h \
                  lib/coord/null_parent.h \
-                 lib/coord/helper_parent.h \
                  lib/graphics/graphics_engine.h \
                  lib/graphics/light.h \
@@ -460,5 +457,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glmenu_imagescreen.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphics_engine.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helper_parent.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ini_parser.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/light.Po@am__quote@
@@ -1017,20 +1013,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o null_parent.obj `if test -f 'lib/coord/null_parent.cc'; then $(CYGPATH_W) 'lib/coord/null_parent.cc'; else $(CYGPATH_W) '$(srcdir)/lib/coord/null_parent.cc'; fi`
-
-helper_parent.o: lib/coord/helper_parent.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT helper_parent.o -MD -MP -MF "$(DEPDIR)/helper_parent.Tpo" -c -o helper_parent.o `test -f 'lib/coord/helper_parent.cc' || echo '$(srcdir)/'`lib/coord/helper_parent.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/helper_parent.Tpo" "$(DEPDIR)/helper_parent.Po"; else rm -f "$(DEPDIR)/helper_parent.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/coord/helper_parent.cc' object='helper_parent.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/helper_parent.Po' tmpdepfile='$(DEPDIR)/helper_parent.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o helper_parent.o `test -f 'lib/coord/helper_parent.cc' || echo '$(srcdir)/'`lib/coord/helper_parent.cc
-
-helper_parent.obj: lib/coord/helper_parent.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT helper_parent.obj -MD -MP -MF "$(DEPDIR)/helper_parent.Tpo" -c -o helper_parent.obj `if test -f 'lib/coord/helper_parent.cc'; then $(CYGPATH_W) 'lib/coord/helper_parent.cc'; else $(CYGPATH_W) '$(srcdir)/lib/coord/helper_parent.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/helper_parent.Tpo" "$(DEPDIR)/helper_parent.Po"; else rm -f "$(DEPDIR)/helper_parent.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/coord/helper_parent.cc' object='helper_parent.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/helper_parent.Po' tmpdepfile='$(DEPDIR)/helper_parent.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o helper_parent.obj `if test -f 'lib/coord/helper_parent.cc'; then $(CYGPATH_W) 'lib/coord/helper_parent.cc'; else $(CYGPATH_W) '$(srcdir)/lib/coord/helper_parent.cc'; fi`
 
 graphics_engine.o: lib/graphics/graphics_engine.cc
Index: orxonox/trunk/src/defs/class_list.h
===================================================================
--- orxonox/trunk/src/defs/class_list.h	(revision 4570)
+++ orxonox/trunk/src/defs/class_list.h	(revision 4571)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file class_list.h
     \brief list of orxonox classes
@@ -11,10 +11,9 @@
 
 //! list of all classes to be loadable in via the ObjectManager
-typedef enum classList 
+typedef enum classList
 {
   CL_ORXONOX,
 
   CL_PARENT,
-  CL_HELPER_PARENT,
   CL_NULL_PARENT,
   CL_CAMERA,
@@ -69,5 +68,5 @@
   CL_KEY_MAPPER,
 
-  CL_GRAPHICS_ENGINE,  
+  CL_GRAPHICS_ENGINE,
   CL_TEXT_ENGINE,
   CL_TEXT,
@@ -80,9 +79,9 @@
   CL_OBJMODEL,
   CL_PROMITIVE_MODEL,
-  
+
   CL_PARTICLE_EMITTER,
   CL_PARTICLE_ENGINE,
   CL_PARTICLE_SYSTEM,
-  
+
   CL_CD_ENGINE,
   CL_COLLISION,
@@ -94,5 +93,5 @@
   CL_OBB,
   CL_BOUNDING_SPHERE,
-  
+
 
   CL_NUMBER
Index: orxonox/trunk/src/lib/coord/helper_parent.cc
===================================================================
--- orxonox/trunk/src/lib/coord/helper_parent.cc	(revision 4570)
+++ 	(revision )
@@ -1,40 +1,0 @@
-
-
-/* 
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Patrick Boenzli
-   co-programmer: ...
-*/
-
-
-#include "helper_parent.h"
-
-
-using namespace std;
-
-
-/**
-   \brief standard constructor
-*/
-HelperParent::HelperParent () 
-{
-   this->setClassID(CL_HELPER_PARENT, "HelperParent");
-}
-
-
-/**
-   \brief standard deconstructor
-*/
-HelperParent::~HelperParent () 
-{
-
-}
Index: orxonox/trunk/src/lib/coord/helper_parent.h
===================================================================
--- orxonox/trunk/src/lib/coord/helper_parent.h	(revision 4570)
+++ 	(revision )
@@ -1,23 +1,0 @@
-/*! 
-    \file helper_parent.h
-    \brief this is a parent class, that isn't visible in the real world itself
-*/
-
-
-#ifndef _HELPER_PARENT_H
-#define _HELPER_PARENT_H
-
-
-#include "p_node.h"
-
-
-//! The HelperParent is a PNode that acts as a Helper.
-class HelperParent : public PNode {
-
- public:
-  HelperParent ();
-  virtual ~HelperParent ();
-
-};
-
-#endif /* _HELPER_PARENT_H */
Index: orxonox/trunk/src/lib/coord/p_node.cc
===================================================================
--- orxonox/trunk/src/lib/coord/p_node.cc	(revision 4570)
+++ orxonox/trunk/src/lib/coord/p_node.cc	(revision 4571)
@@ -447,5 +447,5 @@
    \brief displays some information about this pNode
 */
-void PNode::debug()
+void PNode::debug(unsigned int depth) const
 {
   PRINTF(2)("PNode::debug() - absCoord: (%f, %f, %f)\n",
Index: orxonox/trunk/src/lib/coord/p_node.h
===================================================================
--- orxonox/trunk/src/lib/coord/p_node.h	(revision 4570)
+++ orxonox/trunk/src/lib/coord/p_node.h	(revision 4571)
@@ -94,5 +94,5 @@
   void update (float dt);
 
-  void debug ();
+  void debug (unsigned int depth = 1) const;
   void debugDraw(float size = 1.0) const;
 
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4570)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4571)
@@ -26,5 +26,4 @@
 #include "p_node.h"
 #include "null_parent.h"
-#include "helper_parent.h"
 #include "pilot_node.h"
 #include "track_node.h"